# Receiving results via a webhook

You can create a dedicated API endpoint on your side, which we will trigger after calculating biological age accelerations. Let us know if you would like to use this way of receiving results, and email the endpoint address to <support@gerosense.ai>.

{% code title="WEBHOOK REQUEST BODY (EXAMPLE)" %}

```json
{
  "user_id": "85b4453a-46de-484c-bbc2-12666ebc7ed9",
  "device_name": "iPhone",
  "model_type": "steps",
  "bioage": [
    ...
    {"date": "2023-11-06", "value": null},
    {"date": "2023-11-07", "value": 2.68},
    {"date": "2023-11-08", "value": 2.87},
    {"date": "2023-11-09", "value": 2.42},
    {"date": "2023-11-10", "value": 3.21},
    ...
  ]
}
```

{% endcode %}

The `null` value inside `bioage` array is reserved for cases, when it was not enough data to calculate biological age acceleration for this day.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.gerosense.ai/gerosense-api-proxy-reference/getting-users-biological-age-acceleration/receiving-results-via-a-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
